package fr.irisa.cairn.jnimap.isl;

import java.util.HashMap;
import java.util.Map;

/*** PROTECTED REGION ID(ISLASTExprType_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */

public class ISLASTExprType  {

	int value;
	String name;

	/*** PROTECTED REGION ID(ISLASTExprType_values) DISABLED START ***/
	public static final int ISL_AST_EXPR_OP = 0;
	public static final int ISL_AST_EXPR_ID = 1;
	public static final int ISL_AST_EXPR_INT = 2;
	/*** PROTECTED REGION END ***/
	
	public static ISLASTExprType isl_ast_expr_op = new ISLASTExprType("isl_ast_expr_op", ISL_AST_EXPR_OP);
	public static ISLASTExprType isl_ast_expr_id = new ISLASTExprType("isl_ast_expr_id", ISL_AST_EXPR_ID);
	public static ISLASTExprType isl_ast_expr_int = new ISLASTExprType("isl_ast_expr_int", ISL_AST_EXPR_INT);
	
	public static ISLASTExprType build(long value) {
		return getFromInt((int) value) ;
	}
	
	
	public static  ISLASTExprType getFromInt(int value) {
		/*** PROTECTED REGION ID(ISLASTExprType_getValues) DISABLED START ***/
		switch(value) {
			case ISL_AST_EXPR_OP:
			return isl_ast_expr_op;
			case ISL_AST_EXPR_ID:
			return isl_ast_expr_id;
			case ISL_AST_EXPR_INT:
			return isl_ast_expr_int;
				default :
					return null;
			}
		/*** PROTECTED REGION END ***/
	}

	private ISLASTExprType(String name, int value) {
		this.value=value;
		this.name=name;
	}
	
	public int getValue() {
		return this.value;
	}

	public String getName() {
		return this.name;
	}
	
}
